## django-bleach 3.0.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
--trusted-host pypi.python.org
--trusted-host pypi.org
--trusted-host files.pythonhosted.org

bump2version==1.0.1
    # via -r requirements.in
cfgv==3.3.1
    # via pre-commit
click==8.0.3
    # via pip-tools
distlib==0.3.4
    # via virtualenv
filelock==3.4.2
    # via
    #   tox
    #   virtualenv
identify==2.4.2
    # via pre-commit
nodeenv==1.6.0
    # via pre-commit
packaging==21.3
    # via tox
pep517==0.12.0
    # via pip-tools
pip-tools==6.4.0
    # via -r requirements.in
platformdirs==2.4.1
    # via virtualenv
pluggy==1.0.0
    # via tox
pre-commit==2.16.0
    # via -r requirements.in
py==1.11.0
    # via tox
pyparsing==3.0.6
    # via packaging
pyyaml==6.0
    # via pre-commit
six==1.16.0
    # via
    #   tox
    #   virtualenv
toml==0.10.2
    # via
    #   pre-commit
    #   tox
tomli==2.0.0
    # via pep517
tox==3.24.5
    # via -r requirements.in
virtualenv==20.13.0
    # via
    #   pre-commit
    #   tox
wheel==0.37.1
    # via
    #   -r requirements.in
    #   pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== testproject/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
alabaster==0.7.12
    # via sphinx
asgiref==3.4.1
    # via django
attrs==21.4.0
    # via
    #   flake8-bugbear
    #   flake8-eradicate
babel==2.9.1
    # via sphinx
bleach==5.0.0
    # via -r requirements.in
certifi==2021.10.8
    # via requests
charset-normalizer==2.0.10
    # via requests
click==8.0.3
    # via pip-tools
coverage==6.2
    # via -r requirements.in
django==4.0.7
    # via -r requirements.in
docutils==0.17.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
eradicate==2.0.0
    # via flake8-eradicate
flake8==4.0.1
    # via
    #   -r requirements.in
    #   flake8-broken-line
    #   flake8-bugbear
    #   flake8-builtins
    #   flake8-commas
    #   flake8-comprehensions
    #   flake8-eradicate
    #   flake8-polyfill
    #   flake8-quotes
    #   flake8-tidy-imports
    #   pep8-naming
flake8-broken-line==0.4.0
    # via -r requirements.in
flake8-bugbear==21.11.29
    # via -r requirements.in
flake8-builtins==1.5.3
    # via -r requirements.in
flake8-commas==2.1.0
    # via -r requirements.in
flake8-comprehensions==3.7.0
    # via -r requirements.in
flake8-eradicate==1.2.0
    # via -r requirements.in
flake8-polyfill==1.0.2
    # via pep8-naming
flake8-quotes==3.3.1
    # via -r requirements.in
flake8-tidy-imports==4.5.0
    # via -r requirements.in
idna==3.3
    # via requests
imagesize==1.3.0
    # via sphinx
jinja2==3.0.3
    # via sphinx
markupsafe==2.0.1
    # via jinja2
mccabe==0.6.1
    # via flake8
mock==4.0.3
    # via -r requirements.in
packaging==21.3
    # via sphinx
pep517==0.12.0
    # via pip-tools
pep8-naming==0.12.1
    # via -r requirements.in
pip-tools==6.4.0
    # via -r requirements.in
pycodestyle==2.8.0
    # via flake8
pyflakes==2.4.0
    # via flake8
pygments==2.11.2
    # via sphinx
pyparsing==3.0.6
    # via packaging
pytz==2021.3
    # via babel
requests==2.27.1
    # via sphinx
six==1.16.0
    # via bleach
snowballstemmer==2.2.0
    # via sphinx
sphinx==4.3.2
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
sphinx-rtd-theme==1.0.0
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
sqlparse==0.4.2
    # via django
tomli==2.0.0
    # via pep517
urllib3==1.26.7
    # via requests
webencodings==0.5.1
    # via bleach
wheel==0.37.1
    # via pip-tools

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

## django-bleach 0.9.0

=== debian/changelog ===
django-bleach (0.9.0-1) unstable; urgency=low

  * Initial release

 -- Tom Teichler <debdolph@tom-teichler.de>  Sun, 03 Oct 2021 23:28:39 +0200

=== debian/control ===
Source: django-bleach
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tom Teichler <debdolph@tom-teichler.de>, Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-setuptools,
 python3-bleach,
 tox,
 python3-mock,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/marksweb/django-bleach
Vcs-Git: https://salsa.debian.org/python-team/packages/django-bleach.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-bleach

Package: python3-django-bleach
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Bleach is a Python module that takes HTML input, and returns valid HTML
 Bleach is a Python module that takes any HTML input, and returns valid,
 sanitised HTML that contains only an allowed subset of HTML tags, attributes
 and styles.  django-bleach is a Django app that makes using bleach extremely
 easy.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=django_bleach
# Testproject missing in sdist, upstream issue pending
export PYBUILD_DISABLE=test
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/django-bleach/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/django-bleach/django-bleach-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-bleach 3.0.1

=== debian/changelog ===
django-bleach (3.0.1-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 15 Dec 2022 23:19:46 +0100

django-bleach (3.0.1-1) unstable; urgency=medium

  * Team upload

  [ Tom Teichler ]
  * New upstream release 3.0.0

  [ Carsten Schoenert ]
  * d/gbp.conf: Adding a basic default config
  * d/watch: Switch to version 4 and git mode on GitHub
  * d/u/metadata: Add entries for Documentation and FAQ
  * New upstream version 3.0.1
  * d/control: Running wrap-and-sort -ast
    No modifications, just reorder the content.
  * d/control: Update build deps, adding BuildProfileSpecs
  * d/rules: Run the internal tests while package build
    Upstream ships a test suite, let's run this while we build the package.
  * python-django-bleach-doc: Adding new binary package
    Build the Sphinx based documentation, usable for offline usage.
  * d/control: Bump Standards-Version to 4.6.1
    No further modifications needed.
  * d/control: Adding Rules-Requires-Root: no
  * d/copyright: Update year data
  * d/README.source: Adding information about source
  * autopkgtest: Run upstream tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Dec 2022 11:18:10 +0100

django-bleach (1.0.0-1) UNRELEASED; urgency=medium

  [ Tom Teichler ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Tom Teichler <debdolph@tom-teichler.de>  Wed, 15 Dec 2021 16:51:38 +0100

=== debian/control ===
Source: django-bleach
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Tom Teichler <debdolph@tom-teichler.de>,
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-bleach <!nocheck>,
 python3-django <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-tinycss2 <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/marksweb/django-bleach
Vcs-Git: https://salsa.debian.org/python-team/packages/django-bleach.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-bleach

Package: python-django-bleach-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Python module takes any HTML data, returns valid HTML (Documentation)
 Bleach is a Python module that takes any HTML input, and returns valid,
 sanitised HTML that contains only an allowed subset of HTML tags, attributes
 and styles. django-bleach is a Django app that makes using bleach extremely
 easy.
 .
 This package contains the Sphinx based HTML Documentation.

Package: python3-django-bleach
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Bleach is a Python module that takes HTML input, and returns valid HTML
 Bleach is a Python module that takes any HTML input, and returns valid,
 sanitised HTML that contains only an allowed subset of HTML tags, attributes
 and styles.  django-bleach is a Django app that makes using bleach extremely
 easy.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=django_bleach

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -Wd testproject/manage.py test django_bleach"

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-django-bleach-doc/usr/share/doc/python-django-bleach-doc/html
	dh_sphinxdoc
endif

## django-bleach 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,10 +4,6 @@
 #
 #    pip-compile
 #
---trusted-host pypi.python.org
---trusted-host pypi.org
---trusted-host files.pythonhosted.org
-
 bump2version==1.0.1
     # via -r requirements.in
 cfgv==3.3.1
@@ -58,7 +54,7 @@
     # via
     #   pre-commit
     #   tox
-wheel==0.37.1
+wheel==0.38.1
     # via
     #   -r requirements.in
     #   pip-tools

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-bleach.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-bleach.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-bleach"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-bleach"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== testproject/requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 alabaster==0.7.12
     # via sphinx
-asgiref==3.4.1
+asgiref==3.6.0
     # via django
 attrs==21.4.0
     # via
@@ -16,7 +16,7 @@
     # via sphinx
 bleach==5.0.0
     # via -r requirements.in
-certifi==2021.10.8
+certifi==2022.12.7
     # via requests
 charset-normalizer==2.0.10
     # via requests
@@ -24,7 +24,7 @@
     # via pip-tools
 coverage==6.2
     # via -r requirements.in
-django==4.0.7
+django==4.1.9
     # via -r requirements.in
 docutils==0.17.1
     # via
@@ -87,7 +87,7 @@
     # via flake8
 pyflakes==2.4.0
     # via flake8
-pygments==2.11.2
+pygments==2.15.0
     # via sphinx
 pyparsing==3.0.6
     # via packaging
@@ -117,7 +117,7 @@
     # via sphinx
 sphinxcontrib-serializinghtml==1.1.5
     # via sphinx
-sqlparse==0.4.2
+sqlparse==0.4.4
     # via django
 tomli==2.0.0
     # via pep517
@@ -125,7 +125,7 @@
     # via requests
 webencodings==0.5.1
     # via bleach
-wheel==0.37.1
+wheel==0.38.1
     # via pip-tools
 
 # The following packages are considered to be unsafe in a requirements file:

=== debian/changelog ===
django-bleach (3.1.0-1) unstable; urgency=medium

  * Team upload
  * [a6227ec] New upstream version 3.1.0
  * [b12c83c] d/copyright: Update year data
  * [29f899a] d/control: Bump Standards-Version to 4.6.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Sep 2023 20:20:28 +0530

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-tinycss2 <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/marksweb/django-bleach
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-bleach.git

=== debian/tests/control ===
Tests: upstream
#python3 -Wd manage.py test
Depends:
 python3-all,
 python3-tinycss2,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/marksweb/django-bleach.git \
      refs/tags/@ANY_VERSION@
